.top-menu-items{
  display: inline-block;
  color:#fff;
  float: left;
}

.top-menu-items p{
  margin: 0;
  color: #ffffff;
}


/*Internet*/

.internet {
  background: #4c8fbc;
  padding: 2px 20px 11px 20px;
  border: 2px solid #24688e;
  border-radius: 5px;
  margin-right: 10px;
}
.top-menu-items.internet{
background: #4c8fbc;
  padding: 14px 14px 13px 20px;
  border: 0;
  border-radius: 0;
  margin-right: 0;


    /*border: 2px solid #24688e;*/
  border-radius: 5px;
    -webkit-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
  -moz-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
  box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
}


.top-menu-items.internet.inactive{
  visibility: hidden;
}
.top-menu-items.internet.active{
  visibility: visible;
}

#internet-count{
  background:#246694;
  padding:4px 15px;
  -webkit-border-top-left-radius: 5px;
  -webkit-border-bottom-left-radius: 5px;
  -moz-border-radius-topleft: 5px;
  -moz-border-radius-bottomleft: 5px;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  margin-right: 5px;
  min-width: 80px;
  position: relative;
  display: inline-block;
  text-align: center;
}

#internet-time{
  background:#246694;
  padding:4px 15px;
-webkit-border-top-right-radius: 5px;
-webkit-border-bottom-right-radius: 5px;
-moz-border-radius-topright: 5px;
-moz-border-radius-bottomright: 5px;
border-top-right-radius: 5px;
border-bottom-right-radius: 5px;
min-width: 85px;
position: relative;
  display: inline-block;
  text-align: center;
}

.internet p {
  margin-top: 3px;
  margin-bottom: 1px;
}

.internet-label,
.credit-label {
  font-size: 9px;
}

/*credit*/

.top-menu-items.credit{
  background: #4c8fbc;
  padding: 12px 20px 14px 20px;
  border: none;
  border-radius: 0;
  margin-right: 0;


  /*border: 2px solid #24688e;*/
  border-radius: 5px;
    -webkit-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
  -moz-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
  box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
}

#credit-count {
  background: #246694;
  padding: 4px 23px;
  -webkit-border-top-left-radius: 5px;
  -webkit-border-bottom-left-radius: 5px;
  -moz-border-radius-topleft: 5px;
  -moz-border-radius-bottomleft: 5px;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  display: inline-block;
  margin-top: 5px;
}
.credit-add {
  background: #f89500;
  padding: 7px 20px;
  margin-left: 10px;
  color: #ffffff;
  -webkit-border-top-right-radius: 5px;
  -webkit-border-bottom-right-radius: 5px;
  -moz-border-radius-topright: 5px;
  -moz-border-radius-bottomright: 5px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  display: inline-block;
      margin-top: 5px;
}
.credit-add:hover{
  color: #FFF;
  background: #ffb732;
}

.credit-info {
  font-size: 23px;
  vertical-align: middle;
  padding-left: 10px;
  color: #ffffff;
}

.logout {
  background: #74aacb;
  padding: 25px 39px 18px 36px;
  border: 0;
  border-radius: 0;
    /*border: 2px solid #24688e;*/
  border-radius: 5px;
    -webkit-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
  -moz-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
  box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
}

.logout a {
  color: #ffffff;
}

.logout:hover {
  /*color: #ffffff;*/
  cursor: pointer;
  background-color: #3F769C;
}

@media(max-width: 991px){
  .logout {
    margin-right: -15px;
  }

  .internet p{
      margin-top: 7px;
  }
  #internet-count-label,
  #internet-time-label{
    top: -19px;
  }
}


.counter-container{
  /*position: fixed;*/
  /*z-index: 10;*/
  box-sizing: border-box;
  /*margin-left: 301px;*/
  margin-top: 15px;
  margin-bottom: -64px;
  float: right;
  /*width: 100%;*/
}

@media(max-width:1199px ){
  .counter-container{
    margin-left: 118px;
    margin-bottom: -44px;
  }


}


.top-menu-items.internet,
.top-menu-items.credit,
.top-menu-items.logout
{
  margin-left: 5.6px;
}


@media (max-width: 991px){
  #side-nav-bar .side-nav-bar {
    margin: 0 !important;
    padding: 0 !important;
    /*height: 100%;*/
    background: #464b4e;
    position: fixed;
    width: 25%;
    top:0;
  }

  .counter-container{
    position: absolute;
    right: 0;
    /* overflow: hidden; */
    margin-left: 0;

    /* width: 75%; */
    /* background-color: #4c8fbc; */
    /* background-color: #3f769b; */
    margin-top: 0px;
    /* padding: 8px 0px; */
  }

  #main-content {
    padding: 0 !important;
    margin: 0 !important;
    min-height: 100%;
    height: 100%;
    background: #f00;
    height: 100vh;
    margin-top: 63px !important;
  }

  .top-menu-items.internet,
  .top-menu-items.credit,
  .top-menu-items.logout
  {
    margin-left: 0;
    /*border: none;*/
    /*position: static;*/
    /*float: right;*/
    box-shadow: none;
    /*margin-left: 5px;*/

    -webkit-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
    -moz-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
    box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
    border-radius: 0;
  }

  .top-menu-items.internet{
    padding: 4px 10px 15px 20px;
  }
   .top-menu-items.credit{
    padding: 6px 10px 13px 10px;
    border-left: 1px solid #74AACB;
    border-right: 1px solid #74AACB;
    margin-right:-15px;
  }
  .top-menu-items.logout{
    padding: 22px 20px 21px 20px;
  }
  .top-menu-items.internet{
    margin-right: 5px;
  }

  
  .counter-container-mobile{
    width: 573px;
    float: right;
  }
}


/*@media(max-width: 991px){
    .counter-container{
      right: -6%;
    }
}

@media(max-width: 905px){
    .counter-container{
      right: -1%;
    }
}

@media(max-width: 895px){
    .counter-container{
      right: 0%;
    }
}

@media(max-width: 894px){
    .counter-container{
      left: 25%;
      width: 100%;
      margin-left: 124px
    }
}
@media(max-width: 875px){
    .counter-container{
      left: 25%;
      width: 100%;
      margin-left: 111px
    }
}
@media(max-width: 875px){
    .counter-container{
      left: 25%;
      width: 100%;
      margin-left: 94px
    }
}
@media(max-width: 820px){
    .counter-container{
      left: 25%;
      width: 100%;
      margin-left: 0;
    }
}*/


@media(max-width: 1199px){
  .counter-tablet{
    /*background: #f00;*/
    width:100%;
    margin: 0 !important;
  }
}

@media(max-width: 991px) {
 .counter-tablet{
    /*background: #f00;*/
    width:100%;
    margin: 0 !important;
  }

  .row-counter-tablet{
        width: 100%;
    margin: 0 !important;
    padding: 0 !important;
    right: 0 !important;
    position: absolute !important;
  }
}