<?php
	error_reporting(0);
	
	include("globals.php");
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>CrewCommCenter Vessel System Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style>
body
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	
	background: url(<?php echo $GLOBALS['plugFilePath']; ?>/img/bg1.png) no-repeat; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

div, table, tr, td
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#shipconfig{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 800px;
    margin-left: -275px;
}

#mainmediaviewmm{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 250px;
    margin-left: -545px;
}

input { 
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	padding: 4px;
}

#cccline{
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 10%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 270px;
    vertical-align:top;
    -webkit-background-size: cover;
}

#ccctext{
	-webkit-background-size: cover;
	margin: 0;
  display: inline-block;
    position: absolute;
    top: 14%;
    left: 49.5%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    vertical-align:top;
}

a:link {
    color: #000000;
	text-decoration: none;
}
a:visited {
    color: #000000;
	text-decoration: none;
}
a:hover {
    color: #00F;
	text-decoration: none;
}
a:active {
    color: #000000;
	text-decoration: none;
}


.table-bordered table, .table-bordered td, .table-bordered tr {
    text-align: left;
}
.table-bordered table {
    border-collapse: collapse;
    width: 100%;
}
.table-bordered tr, .table-bordered td {
    padding: 5px;
}
.table-bordered td {
    border-bottom: 1px solid #ccc;
	border-left: 1px solid #ccc;
    padding: 5px;
}

.SatComListTblcls a
{
    display:block;
    text-decoration:none;
}

.rebootTD input[type=button]:disabled {
    background: #CCC;
}
.rebootTD input[type=button]:enabled {
    background: #9CF;
}
</style>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.min.js"></script>
<script language="javascript">

</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/cccline.png" id="cccline" width="280" height="40">
<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/ccctext.png" id="ccctext" >

<table width="800" id="shipconfig" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr><td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;" colspan="2" align="center"><font color="#FFFFFF"><B>Diagnostics</B></font></td></tr>
  <tr><td width="273" height="10" align="center"></td></tr>
  <tr><td colspan="2">
  <div class="system-info">
        <div class="system-info__contents">
          <div class="row-fluid">
            <div class="col-md-4">
              <div class="system-info-features" >
                <table style="width:100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td style="padding:10px 0;" width="25%" align="center">
                    <input type="button" value="Ping Shore Server" class="button-tab" onClick="doPingShoreServer();" style="width:98%">
                    </td>
                    <td style="padding:10px 0;" width="25%" align="center">
                    <input type="button" value="Traceroute Shore Server" class="button-tab" onClick="doTraceShoreServer();" style="width:98%">
                    </td>
                    <td style="padding:10px 0;" width="25%" align="center">
                    <input type="button" value="NSLookup Shore Server" class="button-tab" onClick="doNSLookup();" style="width:98%">
                    </td>
                    <td style="padding:10px 0;" width="25" align="center">
                    <input type="button" value="Reboot Router" class="button-tab" onClick="doReboot();" style="width:98%">
                    </td>
                </tr>
                
                <tr>
                    <td style="padding:10px 0;" colspan="4">
                    <textarea id="displayPingTrace" name="displayPingTrace" readonly style="width:100%;" rows="20"></textarea>
                    </td>
                </tr>
                </table>
              </div>
            </div>
          </div>
          <div class="clearfix"></div>
          <!-- dynamic -->
        </div>
    </div>
  </td></tr>
  <tr><td height="10" align="center"></td></tr>
</table>

<table id="configtable" style="table-layout: fixed; width: 800" border="0" cellspacing="5" cellpadding="5" align="center">

</table><BR><BR>

<?php include "mm.php"; ?>

<?php $dnslist = getDNSList(); ?>

<script language="javascript">

function doReboot() {
	if (confirm("Are you sure want to reboot the router?")) {
		rebootTerminal();
	}
}

function rebootTerminal() {
	var noerror = true;
	var dhost = '<?php echo $GLOBALS['dhost']; ?>';
	
	$("#loading").fadeIn(200);
	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").html("Rebooting router. Please wait.");
	
	var requestprevconfig;
	requestprevconfig = $.ajax({
		url: dhost,
		type: "get",
		data: { act: '11' },
		timeout: 30000
	});

	requestprevconfig.done(function (response, textStatus, jqXHR){
		if (noerror) {
			document.getElementById('displayPingTrace').value = "The router is rebooting, please wait a couple of minutes.";
			alert('The router is rebooting, please wait a couple of minutes.');
		}
	});

	requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
		//alert(textStatus);
		//alert('Reboot request error. Please try again.');
	});

	requestprevconfig.always(function () {
		requestprevconfig = null;
		
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});
}

function doPingShoreServer() {
	var noerror = true;
	var dhost = "<?php echo $GLOBALS['dhost']; ?>?act=15";
	
	$("#loading").fadeIn(200);
	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").html("Pinging shore server. Please wait.");
	
	document.getElementById('displayPingTrace').value = "Processing... please wait.";
	
	var requestprevconfig;
	requestprevconfig = $.ajax({
		url: dhost,
		type: "post",
		data: { act: '15' },
		timeout: 30000
	});

	requestprevconfig.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
			
				document.getElementById('displayPingTrace').value = "";
				if (response.length == 0) {
					alert('An error has occured, please try again.');
				} else {
					document.getElementById('displayPingTrace').value = response;
				}
			
			} catch (e) {}
		}
	});

	requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
		
		document.getElementById('displayPingTrace').value = textStatus;
		alert('An error has occured, please try again.');
	});

	requestprevconfig.always(function () {
		requestprevconfig = null;
		
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});
}

function doTraceShoreServer() {
	var noerror = true;
	var dhost = "<?php echo $GLOBALS['dhost']; ?>?act=16";
	
	$("#loading").fadeIn(200);
	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").html("Tracing shore server. Please wait.");
	
	document.getElementById('displayPingTrace').value = "Processing... please wait.";
	
	var requestprevconfig;
	requestprevconfig = $.ajax({
		url: dhost,
		type: "post",
		data: { act: '16' },
		timeout: 300000
	});

	requestprevconfig.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
			
				document.getElementById('displayPingTrace').value = "";
				if (response.length == 0) {
					alert('An error has occured, please try again.');
				} else {
					document.getElementById('displayPingTrace').value = response;
				}
			
			} catch (e) {}
		}
	});

	requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
		
		document.getElementById('displayPingTrace').value = textStatus;
		alert('An error has occured, please try again.');
	});

	requestprevconfig.always(function () {
		requestprevconfig = null;
		
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});
}

function doNSLookup() {
	var noerror = true;
	var dhost = "<?php echo $GLOBALS['dhost']; ?>?act=17";
	
	$("#loading").fadeIn(200);
	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").html("Looking up shore server. Please wait.");
	
	document.getElementById('displayPingTrace').value = "Processing... please wait.";
	
	var requestprevconfig;
	requestprevconfig = $.ajax({
		url: dhost,
		type: "post",
		data: { act: '17' },
		timeout: 300000
	});

	requestprevconfig.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
			
				document.getElementById('displayPingTrace').value = "";
				if (response.length == 0) {
					alert('An error has occured, please try again.');
				} else {
					document.getElementById('displayPingTrace').value = response;
				}
			
			} catch (e) {}
		}
	});

	requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
		
		document.getElementById('displayPingTrace').value = textStatus;
		alert('An error has occured, please try again.');
	});

	requestprevconfig.always(function () {
		requestprevconfig = null;
		
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});
}
</script>

</body>
</html>

<div id="loadingmsgholder" style="display: none; position:absolute; left: 50%; top: 50%; width: 450px;
    margin-left: -225px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    <table width="450" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF"
      style="font-family:Arial, sans-serif; font-size:14px; color:#111">
      <tr>
        <td width="18">&nbsp;</td>
        <td width="363">&nbsp;</td>
        <td width="19">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="center">
        <span id="loadingmsg">Loading... Your request is being processed, please wait.</span>
        </td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
</div>
<div id="loading" style="display: none;height:100%;width:100%;position:fixed;
    left:0;top:0;z-index:101 !important;background-color:#062544;
    filter: alpha(opacity=0); /* internet explorer */
    -khtml-opacity: 0;      /* khtml, old safari */
    -moz-opacity: 0;       /* mozilla, netscape */
    opacity: 0;           /* fx, safari, opera */
    ">
</div>
<script>

</script>