<?php
	error_reporting(0);
	include("globals.php");		
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>CrewCommCenter Vessel Information &amp; Activation</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style>
body
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	
	background: url(<?php echo $GLOBALS['plugFilePath']; ?>/img/bg1.png) no-repeat; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

div, table, tr, td
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#shipconfig{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 800px;
    margin-left: -275px;
}

#mainmediaviewmm{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 250px;
    margin-left: -545px;
}

input { 
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	padding: 4px;
}

#cccline{
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 10%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 270px;
    vertical-align:top;
    -webkit-background-size: cover;
}

#ccctext{
	-webkit-background-size: cover;
	margin: 0;
  display: inline-block;
    position: absolute;
    top: 14%;
    left: 49.5%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    vertical-align:top;
}

a:link {
    color: #000000;
	text-decoration: none;
}
a:visited {
    color: #000000;
	text-decoration: none;
}
a:hover {
    color: #00F;
	text-decoration: none;
}
a:active {
    color: #000000;
	text-decoration: none;
}
</style>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.mask.js"></script>
<script language="javascript">
	//VARS
	var __server = "<?php echo $GLOBALS['LOCALSERVER']?>";
	var jqVESSEL_EMAILADDRESS = "";
	var jqVESSEL_VESSELID = "";
	var jqVESSEL_CAPTAINEMAILADDRESS = "";
	var jqVESSEL_CAPTAINNAME = "";
	var jqVESSEL_NAME = "";
	var jqVESSEL_COMPANYFLEET = "";
	var jqVESSEL_MANAGER = "";
	var jqVESSEL_OWNER = "";
	var jqVESSEL_FLAG = "";
	var jqVESSEL_OFFICERSCOUNT = "0";
	var jqVESSEL_CREWCOUNT = "0";
	var jqVESSEL_MACADDRESS = "";
	var jqVESSEL_IPADDRESS = "";
	
	var jqVESSEL_REGSTATUS = "0";
	var jqVESSEL_SERVICES = "";
	var jqVESSEL_EXPIRE = "120";
	var jqVESSEL_ENCRYPTION = "0";
	var jqVESSEL_MESSAGELIMIT = "30";
	var jqVESSEL_SHIPSERVERVERSION = "";
	var jqVESSEL_TYPE = "";
	//VARS
	
	function getFleetOneSettings() {
		var noerror = true;
		var dhost = '<?php echo $GLOBALS['dhost']; ?>';
		
		var requestfleetoneconfig;
		requestfleetoneconfig = $.ajax({
			url: dhost,
			type: "get",
			data: { act: '8' },
			timeout: 30000
		});
	
		requestfleetoneconfig.done(function (response, textStatus, jqXHR){
			if (noerror) {
				console.log(response);
			}
		});
	
		requestfleetoneconfig.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
		});
	
		requestfleetoneconfig.always(function () {
			requestfleetoneconfig = null;
		});
	}
		
	function APICall() {
		var noerror = true;		
		var dhost = "<?php echo $GLOBALS['LOCALSERVER']; ?>?csipadd=<?php echo $_SESSION['SERVERURLFOUND']; ?>&act=getVesselSettings";
		var act = "POST"; //POST //GET		
		var intermacid = "<?php echo $macid; ?>"; //"BB-22-33-44-AA-BC";
		
		if (act == "POST") {
					var requestprevconfig;
					requestprevconfig = $.ajax({
						url: dhost,
						type: "post",
						data: { macid: intermacid },
						timeout: 30000
					});
				
					requestprevconfig.done(function (response, textStatus, jqXHR){
						
						if(typeof response[0].vessel_regstatus != "undefined"){
							if(response[0].vessel_regstatus == 0 || response[0].vessel_regstatus == "0"){
								window.location.href="<?php echo $__HOST__?>cgi-bin/vreg.php";
								return;
							}								
						}
						
						if (noerror) {
							try {
							
								$.each(response, function (index, value) {
									
									try {
										
										
										$.each(value, function (dindex, dvalue) {
											if ((dvalue == 'null') || (dvalue == null) || (dvalue.length == 0) || (dvalue.toLowerCase() == 'undefined')) {dvalue = "&nbsp;";}
												
											if (dvalue == '&nbsp;') {dvalue = "";}
											try {
												switch(dindex.toUpperCase()) {
													case "VESSEL_VESSELID":
														jqVESSEL_VESSELID = dvalue;
														if (jqVESSEL_VESSELID.endsWith("-N")) {
															document.getElementById("VESSEL_VESSELID").value = "";
														} else {
															document.getElementById("VESSEL_VESSELID").value = jqVESSEL_VESSELID;
														}
														document.getElementById("VESSEL_VESSELIDTMP").value = jqVESSEL_VESSELID;
														break;
													case "VESSEL_CAPTAINEMAILADDRESS":
														jqVESSEL_CAPTAINEMAILADDRESS = dvalue;
														document.getElementById("VESSEL_CAPTAINEMAILADDRESS").value = jqVESSEL_CAPTAINEMAILADDRESS;
														break;
													case "VESSEL_CAPTAINNAME":
														jqVESSEL_CAPTAINNAME = dvalue;
														document.getElementById("VESSEL_CAPTAINNAME").value = jqVESSEL_CAPTAINNAME;
														break;
													case "VESSEL_NAME":
														jqVESSEL_NAME = dvalue;
														document.getElementById("VESSEL_NAME").value = jqVESSEL_NAME;
														break;
													case "VESSEL_COMPANYFLEET":
														if (isNaN(dvalue)) {jqVESSEL_COMPANYFLEET = dvalue;}
														document.getElementById("VESSEL_COMPANYFLEET").value = jqVESSEL_COMPANYFLEET;
														break;
													case "VESSEL_MANAGER":
														if (isNaN(dvalue)) {jqVESSEL_MANAGER = dvalue;}
														document.getElementById("VESSEL_MANAGER").value = jqVESSEL_MANAGER;
														break;
													case "VESSEL_OWNER":
														if (isNaN(dvalue)) {jqVESSEL_OWNER = dvalue;}
														document.getElementById("VESSEL_OWNER").value = jqVESSEL_OWNER;
														break;
													case "VESSEL_FLAG":
														jqVESSEL_FLAG = dvalue;
														document.getElementById("VESSEL_FLAG").value = jqVESSEL_FLAG;
														break;
													case "VESSEL_OFFICERSCOUNT":
														if (!isNaN(dvalue)) {jqVESSEL_OFFICERSCOUNT = dvalue;}
														document.getElementById("VESSEL_OFFICERSCOUNT").value = jqVESSEL_OFFICERSCOUNT;
														break;
													case "VESSEL_CREWCOUNT":
														if (!isNaN(dvalue)) {jqVESSEL_CREWCOUNT = dvalue;}
														document.getElementById("VESSEL_CREWCOUNT").value = jqVESSEL_CREWCOUNT;
														break;
													case "VESSEL_MACADDRESS":
														jqVESSEL_MACADDRESS = "<?php echo $macid; ?>";														
														document.getElementById("VESSEL_MACADDRESS").value = jqVESSEL_MACADDRESS;
														document.getElementById("tmpVESSEL_MACADDRESS").value = jqVESSEL_MACADDRESS;
														
														if (intermacid.length == 0) {
															$("#tmpVESSEL_MACADDRESS").removeAttr('disabled');
															$("#macadd_text").show();
														}
														break;
													case "VESSEL_IPADDRESS":
														if (isNaN(dvalue)) {jqVESSEL_IPADDRESS = dvalue;}
														document.getElementById("VESSEL_IPADDRESS").value = jqVESSEL_IPADDRESS;
														break;
													case "VESSEL_REGSTATUS":
														if (!isNaN(dvalue)) {jqVESSEL_REGSTATUS = dvalue;}
														document.getElementById("VESSEL_REGSTATUS").value = jqVESSEL_REGSTATUS;
														if (document.getElementById("VESSEL_REGSTATUS").value == "0") {
															document.getElementById("VESSEL_VESSELID").disabled = false;
															document.getElementById("VESSEL_EMAILADDRESS").disabled = false;
															document.getElementById("VESSEL_VERIFYBTN").disabled = false;
														} else {
															document.getElementById("VESSEL_VESSELID").disabled = true;
															document.getElementById("VESSEL_EMAILADDRESS").disabled = true;
															document.getElementById("VESSEL_VERIFYBTN").disabled = true;
														}
														break;
													case "VESSEL_SERVICES":
														jqVESSEL_SERVICES = dvalue;
														document.getElementById("VESSEL_SERVICES").value = jqVESSEL_SERVICES;
														break;
													case "VESSEL_EXPIRE":
														if (!isNaN(dvalue)) {jqVESSEL_EXPIRE = dvalue;}
														document.getElementById("VESSEL_EXPIRE").value = jqVESSEL_EXPIRE;
														break;
													case "VESSEL_ENCRYPTION":
														if (!isNaN(dvalue)) {jqVESSEL_ENCRYPTION = dvalue;}
														document.getElementById("VESSEL_ENCRYPTION").value = jqVESSEL_ENCRYPTION;
														break;
													case "VESSEL_MESSAGELIMIT":
														if (!isNaN(dvalue)) {jqVESSEL_MESSAGELIMIT = dvalue;}
														document.getElementById("VESSEL_MESSAGELIMIT").value = jqVESSEL_MESSAGELIMIT;
														break;
													case "VESSEL_SHIPSERVERVERSION":
														jqVESSEL_SHIPSERVERVERSION = dvalue;
														document.getElementById("VESSEL_SHIPSERVERVERSION").value = jqVESSEL_SHIPSERVERVERSION;
														break;
													case "VESSEL_TYPE":
														jqVESSEL_TYPE = dvalue;
														document.getElementById("VESSEL_TYPE").value = jqVESSEL_TYPE;
														break;
													case "VESSEL_FULLEMAILADDRESS":
														try {
															jqVESSEL_EMAILADDRESS = dvalue;
															document.getElementById("VESSEL_EMAILADDRESS").value = jqVESSEL_EMAILADDRESS;
														} catch(e) {
															jqVESSEL_EMAILADDRESS = "";
															document.getElementById("VESSEL_EMAILADDRESS").value = jqVESSEL_EMAILADDRESS;
														}
														break;
												}
											} catch(e) {}
										});
										$("#btnSubmit").removeAttr('disabled');
									} catch (e) {}
									
								});
							
							} catch (e) {}
						}
					});
				
					requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
						noerror = false;
						if (textStatus=="timeout") {
							alert('The request timed out. Please try again.');
						} else {
							alert('An error has occurred. Please try again.');
						}
						
						if (jqVESSEL_MACADDRESS.length > 0) {
							jqVESSEL_MACADDRESS = "<?php echo $macid; ?>";
						}
						document.getElementById("VESSEL_MACADDRESS").value = jqVESSEL_MACADDRESS;
						document.getElementById("tmpVESSEL_MACADDRESS").value = jqVESSEL_MACADDRESS;
					});
				
					requestprevconfig.always(function () {
						requestprevconfig = null;
						
						$("#loading").fadeOut(500);
						$("#loadingmsgholder").fadeOut(500);
					});

		} else {
		
			var jqxhr = $.getJSON( dhost, function() {})
			.done(function() {})
			.fail(function() {
				noerror = false;
			})
			.always(function() {
				$("#loading").fadeOut(500);
				$("#loadingmsgholder").fadeOut(500);	
			})
			.complete(function( data ) {
				if (noerror) {
					var jsonArray = data.responseText;
					if (jsonArray.indexOf('[') == 0) {
						jsonArray = jsonArray.substr(1, jsonArray.length);
					}
					if (jsonArray.indexOf(']') == jsonArray.length-1) {
						jsonArray = jsonArray.substr(0, jsonArray.length-1);
					}
					jsonArray = jsonArray.split('},');
					
					try {
					
						for (i=0;i<jsonArray.length;i++) {
							var parseThisJSon = jsonArray[i];
							
							try {
								if (jsonArray[i].substr(jsonArray[i].length-1,1) != "}") {
									parseThisJSon = parseThisJSon + "}";
								}
							} catch (e) {
						
							}
					
							try {
								var obj = jQuery.parseJSON( parseThisJSon );
								
								$('#shipconfig').hide();
								$('#configtable').append('<tr><td width="245" align="center"><B>Key</B></td><td width="514" align="center"><B>Value</B></td></tr>');
								
								$.each(obj, function (index, value) {
									if ((value == 'null') || (value == null) || (value.length == 0) || (value.toLowerCase() == 'undefined')) {value = "&nbsp;";}
									
									$('#configtable').append('<tr><td>' + index.toUpperCase() + ":" +
										'</td><td style="word-wrap: break-word">' + value + '</td></tr>');
								});
												
							} catch (e) {
								
							}
					
						}
					
					} catch (e) {
						
					}
				} else {
					
					alert('An error has occurred. Please try again.');	
				}
			});
		}
	}	
	
	function replaceAll(find, replace, str) {
		return str.replace(new RegExp(find, 'g'), replace);
	}
	
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/cccline.png" id="cccline" width="280" height="40">
<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/ccctext.png" id="ccctext" >

<table width="800" id="shipconfig" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr><td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;" colspan="3" align="center"><font color="#FFFFFF"><B>Vessel Information</B></font></td></tr>
  <tr><td width="273" height="10" align="center"></td></tr>
  
  <tr><td>Vessel ID:</td><td width="329">
  	<input type="text" id="VESSEL_VESSELID" style="width:100%" disabled maxlength="9">
  </td><td width="150" rowspan="2" align="right">  
  </td></tr>
  <tr><td>Vessel Email Address:</td><td width="329">
  	<input type="text" id="VESSEL_EMAILADDRESS" style="width:100%" disabled maxlength="254">
  </td></tr>
  <tr><td>Captain's Email Address:</td><td colspan="2">
  	<input type="text"  id="VESSEL_CAPTAINEMAILADDRESS" disabled style="width:100%" maxlength="128">
  </td></tr>
  
  <tr><td>Vessel Name:</td><td colspan="2">
  	<input type="text" id="VESSEL_NAME" style="width:100%" disabled maxlength="60">
  </td></tr>
  <tr><td>Company/Fleet:</td><td colspan="2">
  	<input type="text" id="VESSEL_COMPANYFLEET" disabled style="width:100%" maxlength="90">
  </td></tr>
  <tr>
  <td>CrewComm&nbsp;WiFi&nbsp;router&nbsp;MAC&nbsp;Address:&nbsp;</td><td colspan="2">
  	<input type="text" disabled name="tmpVESSEL_MACADDRESS" id="tmpVESSEL_MACADDRESS" style="width:100%" maxlength="17">
    <div id="macadd_text" style="display:none; font-size:12px; color:#F00">Can not retrieve your CrewComm WiFi router MAC Address. The MAC Address is printed on the bottom of the router, please manually input it in the box above.</div>
    <input type="hidden" id="VESSEL_MACADDRESS" style="width:100%">
  </td></tr>
  <tr><td>
  SAT Terminal IP Address(es):
  <BR><font style="font-size:11px">Comma separated</font>
  </td><td colspan="2">
  	<input type="text" id="VESSEL_IPADDRESS" disabled style="width:100%">
  </td></tr>
  <tr>
  <td colspan="3" align="center">
  </td></tr>
  <tr><td height="10" colspan="3" align="center"></td></tr>
</table>

<table id="configtable" style="table-layout: fixed; width: 800" border="0" cellspacing="5" cellpadding="5" align="center">

</table><BR><BR>

<?php include "mm.php"; ?>

</body>
</html>
<div id="loadingmsgholder" style="display: none; position:absolute; left: 50%; top: 50%; width: 450px;
    margin-left: -225px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    <table width="450" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF"
      style="font-family:Arial, sans-serif; font-size:14px; color:#111">
      <tr>
        <td width="18">&nbsp;</td>
        <td width="363">&nbsp;</td>
        <td width="19">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="center">
        <span id="loadingmsg">Loading... Your request is being processed, please wait.</span>
        </td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
</div>
<div id="loading" style="display: none;height:100%;width:100%;position:fixed;
    left:0;top:0;z-index:101 !important;background-color:#062544;
    filter: alpha(opacity=0); /* internet explorer */
    -khtml-opacity: 0;      /* khtml, old safari */
    -moz-opacity: 0;       /* mozilla, netscape */
    opacity: 0;           /* fx, safari, opera */
    ">
</div>
<script language="javascript"> 
	$("#loading").fadeIn(1000);
	$("#loadingmsgholder").fadeIn(500);
	$("#loadingmsg").html("Loading, please wait.");
	APICall();
</script>
