<?php
  include("topinsert.php");
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title><?php echo $dTitle; ?></title>

    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/fontawesome/css/font-awesome.min.css" rel="stylesheet">
    <?php include $GLOBALS['assetsPath'].'css/style.php';?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/modernzr.custom.js"></script>
    <?php include $GLOBALS['assetsPath'].'css/menu.php';?>
    
    <?php include "../m/funcjs.php"; ?>
  </head>
  <body>
    <!-- start counters -->
    <div class="container no-pad-all">
    <?php include 'counter.php';?>    
    </div>
    <!-- end counters -->
    
    <div class="container no-pad-all container-main">
        <!-- The Header Part -->
        <div class="row-fluid hidden-xs hidden-sm">
          <div class="header-main col-md-12 col-md-12"></div>
        </div><!--End The Header Part -->

        <div class="row-fluid">
              <div class="container-main col-md-12 col-md-12">
                <!--Start THe Sidebar -->
                <?php include 'sidebar.php';?>
                <!--End THe Sidebar -->

                <!-- THe Content -->
                <div id="main-content" class=" col-md-9 col-lg-9 col-sm-9 content col-xs-9">
                  <!-- right side -->
                  <div class="main-content">
                    <!-- content here starts -->


                      <div class="panel panel-dark" id="panel-dark" style="min-height: 300px;">
                        <div class="panel-heading">
                          <h3 class="panel-title panel-title-large"><img src="<?php echo $GLOBALS['linkPath']?>/images/news-gold.png" class="ptl"> World News</h3>
                        </div>
                        
                        <div style="text-align: center; padding-top:10; padding-bottom: 10">
                            <div style="text-align:center;display: inline-block">
                                <style>
									.cntryitm {
										padding:5px;
										padding-left:25px;
										padding-right:25px;
										font-size:15px;
										background: #FFF;
									}
									.cntryitm:hover {
										background: #cfdade;
									}
									.cntryitm.selectd {
										background: #E7F3F7;
									}
									.cntryitm.selectd:hover {
										background: #cfdade;
									}
									.submenuitm {
										padding:5px;
										padding-left:25px;
										padding-right:25px;
										font-size:15px;
										background: #FFF;
									}
									.submenuitm:hover {
										background: #cfdade;
									}
									.submenuitm.selectd {
										background: #E7F3F7;
									}
									.submenuitm.selectd:hover {
										background: #cfdade;
									}
									</style>
                                <div style="top:50px">
                                    <div style="text-align:center;">
                                        <!--COUNTRIES MENU-->
                                            <div class="cntrymenu" id="cntrymenu" style="display: none;
                                                max-height: 80%;
                                                max-width:60%;
                                                background:#FFF;
                                                position:absolute;
                                                border:1px solid #C9CACA;
                                                z-index:106;
                                                overflow:auto;
                                                top:82px;
                                                ">
                                                <div id="cntrymenuul" style="text-align:left;">
                                                    <div class="cntryitm">International</div>
                                                </div>
                                            </div>
                                            <!--COUNTRIES MENU-->
                                     </div>
                                </div>
                                
                                <div style="top:50px; padding-left: 50px;">
                                    <div style="text-align:center;">            
                                            <!--SUB-CAT MENU-->
                                            <div class="submenu" style="display: none;
                                                max-height: 80%;
                                                max-width:60%;
                                                background:#FFF;
                                                position:absolute;
                                                border:1px solid #C9CACA;
                                                z-index:107;
                                                overflow:auto;
                                                top:82px;
                                                ">
                                                <div id="submenuul" style="text-align:left;">
                                                    <div class="submenuitm">Sports</div>
                                                </div>
                                            </div>
                                            <!--SUB-CAT MENU-->
                                    </div>
                                </div>
                                
                                <div class="btn-group" id="menuholder">
                                
                                  <a href="javascript:;" id="cntrybtn" onClick="showmenu('cntry');" class="btn btn-default btn-lg"><i class="fa fa-flag"></i></a>
                                  <a href="javascript:;" id="subbtn" onClick="showmenu('sub');" class="btn btn-default btn-lg" ><i class="fa fa-newspaper-o"></i></a>
                                  <a href="javascript:;" id="dp" class="btn btn-default btn-lg"><i class="fa fa-calendar"></i></a>
                                </div>
                            </div>
                        </div>
                        
                        <div class="clearfix"></div>
                        
                        <div class="panel-body panel-main-content" id="panel-body"
                        	style="padding: 0px 10px 10px 10px !important;">
                        
                        <?php include "newsfull.php"; ?>
                          
                              <div class="announcements-block"
                                  style="
                                  	overflow: auto !important;
                                    min-height: 480px;
                                    padding: 0px 0px 0px 0px !important;
                                    background:#E3E3E3;
                                    border: 0px solid #bcbcbc;
                                    -webkit-border-radius: 0px;
                                    -moz-border-radius: 0px;
                                    border-radius: 0px;
                                    height: 480px;
                                  "
                                  >

									<div class="news-item-listing" style="margin-top: 0px !important" align="center">
                                        <i class="fa fa-spinner fa-spin"></i> Retrieving News Items
                                    </div>
 
							  </div>
                              <div class="clearfix"></div>
                        </div>
                      </div>
                      <!-- footer -->
                      <div class="footer"><img class="footer-image" src="<?php echo $GLOBALS['linkPath']?>images/smsgloballogo_.png"></div>
                      <!-- footer -->
                      <!-- content here Ends -->
                      <div class="clearfix"></div>
                  </div><!--End #main-content .main-content -->
                </div><!--End #main-content -->
              </div>
            </div>
        </div>
    </div>
    
    <style>
	.datepicker{z-index:106 !important;}
	</style>

    <!-- MODALS STARTS HERE -->
    <?php include 'controlpanel.php';?>
    <!-- MODALS ENDS HERE -->

	<?php include 'reload.php'; ?>
    <?php include '../m/inetrelated.php'; ?>

    <?php $mobileSiteShow = true?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery.js"></script>
	<script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery-ui.min.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/js/bootstrap.min.js"></script>  
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/jquery.bpopup.min.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>vendors/cropbox.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>js/main.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>js/jquery.base64.js"></script>
    
    <link rel="stylesheet" type="text/css" href="<?php echo $GLOBALS['mobilePath']; ?>vendors/datepicker3.css">
	<script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>vendors/bootstrap-datepicker.js"></script>
    
    <?php if(isset($mobileSiteShow) &&  $mobileSiteShow === true):?>
        <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
    <?php else:?>
        <div class="mobile-browser-tablet-detect__footer">
            <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
        </div>
    <?php endif;?>

	<?php include "loading.php"; ?>
    
    <?php include "dfoot.php"; ?>
  </body>
</html>
<script>
var news_Disabled = true;
var VesselConfig = getLocalStorage('VesselConfig');
if(typeof VesselConfig[0].server_services !== "undefined"){
	newsEnabled = VesselConfig[0].server_services[1];
	if(newsEnabled == 1 || newsEnabled == '1'){
		//Ship is subscribed to news
		news_Disabled = false;
	}else{
		//ship not subscribed to news
		news_Disabled = true;
	}
}else{
	//error unable to retrieve news config
	news_Disabled = true;
	console.log('Bad ');
}
	

if(news_Disabled){
	sweetAlert('News is not subscribed');
	function showmenu(){
		sweetAlert('News is not subscribed');
	}
}else{
	$("#loading").show();

	var newscnt = 0;
	var newsArr = Array();
	var newsDay = 0;
	var newsretry = 0;
	var newsdate = getDateMMDDYYYY(newsDay);
	var currcountry = 0;
	var countryL = Array();
	countryL.push('International');
	var newsCLcnt = 0;
	var newsCate = 0;
	var newsCateList = null;

	function getNewsCountries() {
		hideMessageMessageDisp();
		
		$("#loading").fadeIn(500);
		
		newsCate = 0;
		newsCLcnt = 0;
		
		//Check if current news items are in local storage
		var storedResponse = getLocalStorage('InNewsCL' + newsdate);
		if ((typeof storedResponse === 'object') && (storedResponse !== null)) {
			newsCLcnt = processNewsCountries(storedResponse);
			if (newsCLcnt > 0) {
				getNewsItems(currcountry);
			}
		}
		if (newsCLcnt == 0) {
			//Request news first
			var noerror = true;
			//var dhost = host + 'api/rest/requestnews';
			//var dhost = host.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/requestnews';
			
			var ssip = checkServerConnection();
			var dhost = linksysHost + "?csipadd="+ssip+"&act=getLoginHeadlines";
			
			var requestapi;
			requestapi = $.ajax({
				url: dhost,
				type: "post",
				data: {
					macid: '<?php echo $GLOBALS['MACID']; ?>',
					api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
					newsfname: 'InNewsCL' + newsdate,
					newsdate: newsdate,
					newslogin: "4",
					newsid: "",
					newsheader: "1",
					newscountry: "",
					newscategory: ""<?php echo urladdparams(); ?>+""+getSession()
				},
				timeout: 30000
			});
			
			requestapi.done(function (response, textStatus, jqXHR){
				if (noerror) {
					
					if ((typeof response === 'object') && (response !== null)) {
						setLocalStorage('InNewsCL' + newsdate, response);
					}
					
					newsCLcnt = processNewsCountries(response);
					
					if (newsCLcnt == 0) {
						if ((newsretry > 2) && (newsCLcnt == 0)) {
							$('div.announcements-block').empty();
							disp = '<div class="news-item-listing" style="margin-top: 0px !important" align="center">';
							disp += 'No news available.';
							disp += '</div>';
							$('div.announcements-block').append(
								disp
							);
							$("#loading").fadeOut(500);
						} else if (newsretry <= 3) {
							newsretry++; newsDay++;
							newsdate = getDateMMDDYYYY(newsDay);
							updatePicker();
							getNewsCountries();
						}
					} else {
						//Get categories and news items
						getNewsItems(currcountry);
					}
					
				}
			});
		
			requestapi.fail(function (jqXHR, textStatus, errorThrown){
				noerror = false;
				
				$('div.announcements-block').empty();
				disp = '<div class="news-item-listing" style="margin-top: 0px !important" align="center">';
				disp += 'There was a problem retrieving the News, please try again.';
				disp += '</div>';
				$('div.announcements-block').append(
					disp
				);
				
				$("#loading").fadeOut(500);
			});
		
			requestapi.always(function () {
				requestapi = null;
			});
			//Request news first
		
		}
		
	}

	function processNewsCountries(response) {
		var dnewsCLcnt = 0;
		countryL = null;
		countryL = Array();
		countryL = [];
		
		//$('div.announcements-block').empty();
		
		try {
								
			var dcountry = "";
			$('#cntrymenuul').empty();
			
			$.each(response, function (index, value) {
				dcountry = "";
				
				try {
					
					$.each(value, function (dindex, dvalue) {
						if ((dvalue == 'null') || (dvalue == null) || (dvalue.length == 0) || (dvalue.toLowerCase() == 'undefined')) {dvalue = "&nbsp;";}
						
						if (dvalue == '&nbsp;') {dvalue = "";}
						
						try {
							switch(dindex.toUpperCase()) {
								case "NEWSCOUNTRY":
									dcountry = dvalue;
									break;
							}
						} catch(e) {}
					});
				} catch (e) {}
				
				try {
					if (dcountry.length > 0) {
						countryL.push(dcountry);
						
						dnewsCLcnt++;
						
						//$('div.announcements-block').append(
						//	disp
						//);
						var addClass = "";
						if (countryL[currcountry] == dcountry) {addClass = " selectd";}
						$('#cntrymenuul').append("<div class=\"cntryitm"+addClass+"\" onclick=\"showNewCountry('" + dcountry + "')\">" + dcountry + "</div>");
					}
				} catch (e1) {}
			});
		
		} catch (e) {
			//alert(e.message);
			//newsCLcnt = 0;
		}
		
		return dnewsCLcnt;
	}

	function getNewsItems(cntry) {
		hideMessageMessageDisp();
		
		//Check if current news items are in local storage
		var newscnt = 0;
		var storedResponse = getLocalStorage('InNews' + newsdate + cntry);
		if ((typeof storedResponse === 'object') && (storedResponse !== null)) {
			newscnt = processNews(storedResponse, cntry);
		}
		if (newscnt == 0) {
			//Request news first
			var noerror = true;
			//var dhost = host + 'api/rest/requestnews';
			//var dhost = host.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/requestnews';
			
			var ssip = checkServerConnection();
			var dhost = linksysHost + "?csipadd="+ssip+"&act=getLoginHeadlines";
			
			var requestapi;
			requestapi = $.ajax({
				url: dhost,
				type: "post",
				data: {
					macid: '<?php echo $GLOBALS['MACID']; ?>',
					api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
					newsfname: 'InNews' + newsdate + cntry,
					newsdate: newsdate,
					newslogin: "",
					newsid: "",
					newsheader: "",
					newscountry: countryL[cntry],
					newscategory: ""<?php echo urladdparams(); ?>+""+getSession()
				},
				timeout: 30000
			});
			
			requestapi.done(function (response, textStatus, jqXHR){
				if (noerror) {
					
					if ((typeof response === 'object') && (response !== null)) {
						setLocalStorage('InNews' + newsdate + cntry, response);
					}
					
					newscnt = processNews(response, cntry);
					
					if (newscnt == 0) {
						if ((newsretry > 2) && (newscnt == 0)) {
							$('div.announcements-block').empty();
							disp = '<div class="news-item-listing" style="margin-top: 0px !important" align="center">';
							disp += 'No news available.';
							disp += '</div>';
							$('div.announcements-block').append(
								disp
							);
							$("#loading").fadeOut(500);
						} else if (newsretry <= 3) {
							newsretry++; newsDay++;
							newsdate = getDateMMDDYYYY(newsDay);
							updatePicker();
							getNewsItems(currcountry);
						}
					}
					
				}
			});
		
			requestapi.fail(function (jqXHR, textStatus, errorThrown){
				noerror = false;
				
				$('div.announcements-block').empty();
				disp = '<div class="news-item-listing" style="margin-top: 0px !important" align="center">';
				disp += 'There was a problem retrieving the News, please try again.';
				disp += '</div>';
				$('div.announcements-block').append(
					disp
				);
				
				$("#loading").fadeOut(500);
			});
		
			requestapi.always(function () {
				requestapi = null;
			});
			//Request news first
		
		}
		
	}

	function processNews(response, cntry) {
		$("#loading").fadeIn(500);
		newsArr = null;
		newsArr = Array();
		newsArr = [];
		
		newscnt = 0;
		
		$('div.announcements-block').empty();
		$('#submenuul').empty();
		
		try {
								
			var dtitle = "";
			var dbody = "";
			var dcountry = "";
			var dcategory = "";
			var did = "";
			var disp = "";
			newsCateList = null;
			newsCateList = Array();
			newsCateList = [];
			
			$.each(response, function (index, value) {
				dtitle = "";
				dbody = "";
				dcountry = "";
				dcategory = "";
				disp = "";
				
				try {
					
					$.each(value, function (dindex, dvalue) {
						if ((dvalue == 'null') || (dvalue == null) || (dvalue.length == 0) || (dvalue.toLowerCase() == 'undefined')) {dvalue = "&nbsp;";}
						
						if (dvalue == '&nbsp;') {dvalue = "";}
						
						try {
							switch(dindex.toUpperCase()) {
								case "NEWSTITLE":
									dtitle = dvalue;
									break;
								case "NEWSBODY":
									dbody = dvalue;
									break;
								case "NEWSCOUNTRY":
									dcountry = dvalue;
									break;
								case "NEWSCATEGORY":
									dcategory = dvalue;
									break;
								case "NEWSID":
									did = dvalue;
									break;
							}
						} catch(e) {}
					});
				} catch (e) {}
				
				if (((dtitle + dbody).length > 0) && (dcountry == countryL[cntry])) {
					disp = '<div class="news-item-listing" style="margin-bottom: 10px !important; margin-top: 0px !important;"><a href="javascript:;" onClick="showMessage(\'' + newscnt + '\',\'' + did + '\')">';
					disp += '<h1 class="news-item__title">' + Base64.decode(dtitle) + '</h1>';
					disp += '<p class="news-item__content">' + replaceAll( Base64.decode(dbody), "\n", "<BR>") + '...</p>';
					disp += '</a></div>';
					
					var itmarr = Array();
					itmarr[0] = did;
					itmarr[1] = dtitle;
					itmarr[2] = dcountry;
					itmarr[3] = Base64.decode(dcategory);
					itmarr[4] = replaceAll( Base64.decode(dbody), "\n", "<BR><BR>");
					/*newsArr.push(itmarr);
					newscnt++;*/
					
					if (jQuery.inArray( Base64.decode(dcategory), newsCateList ) == -1) {
						newsCateList.push(Base64.decode(dcategory));
						var addClass = "";
						if (newsCateList[newsCate] == Base64.decode(dcategory)) {addClass = " selectd";}
						$('#submenuul').append("<div class=\"submenuitm"+addClass+"\" onclick=\"showNewCategory('" + Base64.decode(dcategory) + "');\">" + Base64.decode(dcategory) + "</div>");
					}
					
					if (newsCateList[newsCate] == Base64.decode(dcategory)) {
						newsArr.push(itmarr);
						newscnt++;
						
						$('div.announcements-block').append(
							disp
						);
					}
				}
			});
		
		} catch (e) {
			newscnt = 0;
		}

		if (newscnt == 0) {
			if ((newsretry > 2) && (newscnt == 0)) {
				$('div.announcements-block').empty();
				disp = '<div class="news-item-listing" align="center">';
				disp += 'No News available.';
				disp += '</div>';
				$('div.announcements-block').append(
					disp
				);
				$("#loading").fadeOut(500);
			} else if (newsretry <= 3) {
				disp = '<div class="news-item-listing" align="center">';
				disp += '<i class="fa fa-spinner fa-spin"></i> Retrieving News Items';
				disp += '</div>';
				$('div.announcements-block').append(
					disp
				);
				$("#loading").fadeIn(500);
			}
		} else {
			$("#loading").fadeOut(500);
		}
		
		return newscnt;
	}

	var newsIsLoading = false;
	function showMessage(idx, id) {
		var newsIndex = -1;
		for (var i=0; i<newsArr.length; i++) {
			newsIndex = jQuery.inArray( id, newsArr[i]);
			if (newsIndex != -1) {
				idx = i;
				break;
			}
		}
		
		newsIsLoading = true;
		
		currId = parseInt(idx);
		
		showMessageMessageDisp('');
		
		if (newsArr[currId][4].length > 0) {
			$("#msgdtitle").html(Base64.decode(newsArr[currId][1]));
			$("#msgddate").hide();
			$("#msgdbody").html(newsArr[currId][4]);
		}
		
		var ret = 0;
		var storedResponse = getLocalStorage('InNewsItm' + newsdate + id);
		if ((typeof storedResponse === 'object') && (storedResponse !== null)) {
			ret = processNewsMessage(storedResponse);
		}
		if (ret == 0) {
			$("#loadingnewsmsg").html("Loading News body, please wait.");
			$("#newmsgLoadingholder").fadeIn(500);
			
			//Request news first
			var noerror = true;
			//var dhost = host + 'api/rest/requestnews';
			//var dhost = host.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/requestnews';
			
			var ssip = checkServerConnection();
			var dhost = linksysHost + "?csipadd="+ssip+"&act=getLoginHeadlines";
			
			var requestapi;
			requestapi = $.ajax({
				url: dhost,
				type: "post",
				data: {
					macid: '<?php echo $GLOBALS['MACID']; ?>',
					api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
					newsfname: 'InNewsItm' + newsdate + id,
					newsdate: newsdate,
					newslogin: "3",
					newsid: id,
					newsheader: "",
					newscountry: "",
					newscategory: ""<?php echo urladdparams(); ?>+""+getSession()
				},
				timeout: 30000
			});
			
			requestapi.done(function (response, textStatus, jqXHR){
				if (noerror) {
					
					if ((typeof response === 'object') && (response !== null)) {
						setLocalStorage('InNewsItm' + newsdate + id, response);
					}
					
					processNewsMessage(response);
					
				}
			});
		
			requestapi.fail(function (jqXHR, textStatus, errorThrown){
				noerror = false;
				
				//$("#spinnerloading").hide();
				$("#loadingnewsmsg").html("Error loading News body.");
				$("#newmsgLoadingholder").fadeOut(1000);
			});
		
			requestapi.always(function () {
				requestapi = null;
			});
			//Request news first
		
		}
	}

	function processNewsMessage(response) {
		var msgCnt = 0;
		
		try {
								
			var dtitle = "";
			var dbody = "";
			var ddate = "";
			var did = "";
			var disp = "";
			
			$.each(response, function (index, value) {
				dtitle = "";
				dbody = "";
				ddate = "";
				disp = "";
				
				try {
					
					$.each(value, function (dindex, dvalue) {
						if ((dvalue == 'null') || (dvalue == null) || (dvalue.length == 0) || (dvalue.toLowerCase() == 'undefined')) {dvalue = "&nbsp;";}
						
						if (dvalue == '&nbsp;') {dvalue = "";}
						
						try {
							switch(dindex.toUpperCase()) {
								case "NEWSTITLE":
									dtitle = dvalue;
									break;
								case "NEWSBODY":
									dbody = dvalue;
									break;
								case "NEWSDATE":
									ddate = dvalue;
									break;
								case "NEWSID":
									did = dvalue;
									break;
							}
						} catch(e) {}
					});
				} catch (e) {}
				
				if (dbody.length > 0) {
					$("#msgdtitle").html(Base64.decode(newsArr[currId][1]));
					//$("#msgddate").html(newsArr[currId][2]);
					$("#msgddate").hide();
					$("#msgdbody").html("&nbsp;");
					$("#msgdbody").html(replaceAll( Base64.decode(dbody), "\n", "<BR><BR>"));
					
					$("#newmsgLoadingholder").fadeOut(500);
					
					msgCnt++;
				} else {
					//$("#spinnerloading").hide();
					$("#loadingnewsmsg").html("Error loading News body.");
					$("#newmsgLoadingholder").fadeOut(1000);
				}
				
				$("#msgdbody").focus();
			});
		
		} catch (e) {
			msgCnt = 0;
		}

		if (msgCnt == 0) {
			//$("#spinnerloading").hide();
			$("#loadingnewsmsg").html("Error loading News body.");
			$("#newmsgLoadingholder").fadeOut(1000);
		}
		
		//msgCnt = 0; //TEMP ONLY
		newsIsLoading = false;
		
		return msgCnt;
	}

	var dpchanging = false;

	var dpVisible = false;
	$(document).ready(function(){
		//getNewsItems(currcountry);
		getNewsCountries();
		
		$(document).on('click', function(event) {
			if ((!$(event.target).closest('#cntrybtn').length) && (!$(event.target).closest('#subbtn').length)) {
				//$('html, body').css('overflowY', 'auto');
				if ( $('.cntrymenu').css('display') == 'none') {} else {
					$('.cntrymenu').toggle();
				}
				if ( $('.submenu').css('display') == 'none') {} else {
					$('.submenu').toggle();
				}
			}
		});
		
		var currDate = getDateMMDDYYYY(0);
		$('#dp').datepicker({
			orientation: "top",
			format: "yyyymmdd",
			weekStart: 0,
			endDate: currDate.substr(0, 4) + "-" + currDate.substr(4, 2) + "-" + currDate.substr(6, 2)
		});
		
		$('#dp').on('changeDate', function(ev){
			if (dpchanging) {} else {
			
				$(this).datepicker('hide');
				
				var newSelDate = $(this).datepicker("getFormattedDate");
				if (newsdate == newSelDate) {} else {
					$('div.announcements-block').empty();
					disp = '<div class="news-item-listing" align="center">';
					disp += '<i class="fa fa-spinner fa-spin"></i> Retrieving News Items';
					disp += '</div>';
					$('div.announcements-block').append(
						disp
					);
					$("#loading").fadeOut(500);
					newsdate = newSelDate;
					newsretry = 10;
					getNewsCountries();
				}
			
			}
			
			dpchanging = false;
		});
		
		/*$('#dp').on('click', function() {
			if (dpVisible) {
				dpVisible = false;
				$('#dp').datepicker('hide');
			} else {
				dpVisible = true;
			}
		});*/
		$('#dp').on('hide', function() {
			dpVisible = false;
		});
		$('#dp').on('show', function() {
			if (dpVisible) {
				$('#dp').datepicker('hide');
			} else {
				dpVisible = true;
			}
		});
	});

	function showmenu(lst) {
		//$('html, body').css('overflowY', 'hidden');
		if (lst == "cntry") {
			$('.cntrymenu').toggle(function() {
				enableBody();
			});
			if ( $('.submenu').css('display') == 'none') {} else {
				$('.submenu').toggle();
			}
			
			//alert($('#menuholder').position().top + " " + $('#menuholder').position().left);
			
			//$("#cntrymenu").css({top: $('#menuholder').position().top, left: $('#menuholder').position().left, position:'fixed'});
		} else if (lst == "sub") {
			if ( $('.cntrymenu').css('display') == 'none') {} else {
				$('.cntrymenu').toggle();
			}
			$('.submenu').toggle(function() {
				enableBody();
			});
			
			//alert($('#menuholder').position().top + " " + $('#menuholder').position().left);
		}
	}

	function enableBody() {
		if (( $('.cntrymenu').css('display') == 'none') && ( $('.submenu').css('display') == 'none')) {
			//$('html, body').css('overflowY', 'auto');
		} else {
			//$('html, body').css('overflowY', 'hidden');
		}
	}

	function showNewCategory(dcat) {
		var catIndex = jQuery.inArray( dcat, newsCateList);
		if ((newsCate != catIndex) && (catIndex > -1)) {
			$('div.announcements-block').empty();
			disp = '<div class="news-item-listing" align="center">';
			disp += '<i class="fa fa-spinner fa-spin"></i> Retrieving News Items';
			disp += '</div>';
			$('div.announcements-block').append(
				disp
			);
			$("#loading").fadeOut(500);
			newsCate = catIndex;
			getNewsItems(currcountry);
		}
	}

	function showNewCountry(dcntry) {
		var cntryIndex = jQuery.inArray( dcntry, countryL);
		if ((currcountry != cntryIndex) && (cntryIndex > -1)) {
			$('div.announcements-block').empty();
			disp = '<div class="news-item-listing" align="center">';
			disp += '<i class="fa fa-spinner fa-spin"></i> Retrieving News Items';
			disp += '</div>';
			$('div.announcements-block').append(
				disp
			);
			$("#loading").fadeOut(500);
			currcountry = cntryIndex;
			getNewsCountries();
		}
	}

	function updatePicker() {
		dpchanging = true;
		
		$('#dp').data({date: newsdate.substr(0, 4) + "-" + newsdate.substr(4, 2) + "-" + newsdate.substr(6, 2)});
		$('#dp').datepicker('update');
		$('#dp').datepicker().children('input').val(newsdate.substr(0, 4) + "-" + newsdate.substr(4, 2) + "-" + newsdate.substr(6, 2));
	}
}
</script>
<?php include "../m/foot.php"; ?>